﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DotSpatial.Controls;

namespace DotSpatialHelloWorld
{
    public partial class frmTable : Form
    {
        public DotSpatial.Controls.Map map1;
        public frmTable()
        {
            InitializeComponent();
        }

        private void frmTable_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < map1.Layers.Count; i++) {
                cmbLayers.Items.Add(map1.Layers[i].LegendText);
            }
        }

        private void cmbLayers_SelectedIndexChanged(object sender, EventArgs e)
        {
            IMapFeatureLayer layer = (IMapFeatureLayer)map1.Layers[cmbLayers.SelectedIndex];
            dataGridView1.DataSource = layer.DataSet.DataTable;

        }

        private void dataGridView1_DataSourceChanged(object sender, EventArgs e)
        {
            txtNumRows.Text = dataGridView1.RowCount.ToString();
        }
    }
}
