﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DotSpatialHelloWorld
{
    public partial class frmZoomToExtent : Form
    {
        public DotSpatial.Controls.Map mapX;
        public frmZoomToExtent()
        {
            InitializeComponent();
        }

        private void frmZoomToExtent_Load(object sender, EventArgs e)
        {

        }

        private void btnZoom_Click(object sender, EventArgs e)
        {
            double minx, miny, maxx, maxy;
            progressBar1.Value = 0;
            progressBar1.Maximum = 100;
            Double.TryParse(txtMinX.Text, out minx);
            Double.TryParse(txtMinY.Text, out miny);
            Double.TryParse(txtMaxX.Text, out maxx);
            Double.TryParse(txtMaxY.Text, out maxy);
            mapX.ViewExtents = new DotSpatial.Data.Extent(minx, miny, maxx, maxy);
            progressBar1.Value = 100;
            //frmMap fmap = (frmMap)this.Owner;
        }

        private void frmZoomToExtent_Shown(object sender, EventArgs e)
        {
            txtMinX.Text = mapX.Extent.MinX.ToString();
            txtMinY.Text = mapX.Extent.MinY.ToString();
            txtMaxX.Text = mapX.Extent.MaxX.ToString();
            txtMaxY.Text = mapX.Extent.MaxY.ToString();
        }
    }
}
